Get initial order data

get
/api/v3/orders/{orderId}/result
lts

The endpoint lets you retrieve the current charge status (for example, a final or intermediate status). When querying an order, the system selects the most recent charge and returns the latest information for it.

For more information about possible charge statuses, see Statuses
Header parameters
Attribute
Requirement
Description
x-public-key
mandatory
a public key that identifies the merchant account (there can be several for one merchant)
x-buyer-ip
mandatory
is responsible for information about the buyer's IP address
x-date
mandatory
is responsible for the date and time of sending the request
x-token
mandatory
generated on the merchant side
x-source
mandatory
identifier of the type of service that is the initiator of the request
x-id
mandatory
service identifier from which the current request is made
Request parameters
Attribute
Type
Requirement
Description
Standard
orderId
string
mandatory
Unique order identifier
-
isMobile
bool
optional
Indicates whether the request is intended for the mobile version
-
isForced
bool
optional
Indicates whether processing-status validation for the order should be bypassed
-
Response parameters
Attribute
Type
Description
data
object
Main object containing operation/charge data
meta
object
Provides metadata about the response
{
  "data": {
    "chargeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "chargeStatus": "authorized",
    "provider": "mspy",
    "paymentMethodType": "card",
    "interaction": {
      "url": "string",
      "method": "GET",
      "params": [
        "string"
      ]
    },
    "error": {
      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "code": "string",
      "message": "string",
      "traceId": "082d86c339533af07c14252afcecc7bd"
    },
    "hasPostTransaction": true,
    "thankYouPageType": "string",
    "step": "READY_FOR_THANK_YOU_PAGE_LONG_TERM"
  },
  "meta": {
    "type": "entity"
  }
}
Errors and interpretation

The list of possible errors for this endpoint, along with their types and interpretation, is provided in the general reference: Endpoint response errors.